InetAddressSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.serializers

## Class InetAddressSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.InetAddressSerializer

- All Implemented Interfaces:
    TypeSerializer<java.net.InetAddress>

      public class InetAddressSerializer
      extends java.lang.Object
      implements TypeSerializer<java.net.InetAddress>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InetAddressSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetAddressSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.InetAddress` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.net.InetAddress>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.net.InetAddress value)`
    `java.lang.String` | `toString(java.net.InetAddress value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final InetAddressSerializer instance

  - ### Constructor Detail

    - #### InetAddressSerializer

          public InetAddressSerializer()

  - ### Method Detail

    - #### deserialize

          public java.net.InetAddress deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.net.InetAddress>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.net.InetAddress value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.net.InetAddress>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.net.InetAddress>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.net.InetAddress value)

      Specified by:
        `toString` in interface `TypeSerializer<java.net.InetAddress>`

    - #### getType

          public java.lang.Class<java.net.InetAddress> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.net.InetAddress>`

Copyright © 2018 The Apache Software Foundation